Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.profile.taglib
Class RemovePropertyTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.profile.taglib.ProfileManagementTag
              com.bea.p13n.usermgmt.profile.taglib.PropertyTag
                  com.bea.p13n.usermgmt.profile.taglib.RemovePropertyTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class RemovePropertyTag
extends PropertyTag

Corresponds to `<profile:removeProperty>`.

The `<profile:removeProperty>` tag removes the specified property from the current session's profile or from the Anonymous User Profile. The tag has no enclosed body. Subsequent calls to `<profile:getProperty>` for a removed property would result in the default value for the property as prescribed by the property set, or from the profile's successor.

Tag Attribute | Required | Type | Description
propertySet | no | String | The Property Set from which the property's value is to be retrieved. Example: "Demo Portal". Note: The property is removed from the profile's default (unscoped) properties if no property set is provided.
propertyName | yes | String | The name of the property to be removed. Example: "backgroud_color".

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.profile.taglib.ProfileManagementTag
`CREATE_PROFILE_FAILED, CREATE_PROFILE_NO_SUCH_USER, CREATE_PROFILE_OK, GET_PROFILE_FAILED, GET_PROFILE_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, SET_PROPERTY_FAILED, SET_PROPERTY_OK`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RemovePropertyTag()`

Method Summary
`int` | `doStartTag()` Remove the specified property from the current profile.

Methods inherited from class com.bea.p13n.usermgmt.profile.taglib.PropertyTag
`getPropertyName, getPropertySet, release, setPropertyName, setPropertySet`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemovePropertyTag

    public RemovePropertyTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Remove the specified property from the current profile.

  Throws:
    `JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved